from PIL import Image

im = Image.new("RGB", (800, 600), (255, 255, 255))


def square(im, left, top, size):
    for x in range(left, left + size):
        for y in range(top, top + size):
            im.putpixel((x, y), (255, 0, 0))


square(im, 100, 100, 200)
square(im, 150, 150, 200)


def circle(im, cx, cy, r, pixel):
    for x in range(cx - r, cx + r + 1):
        for y in range(cy - r, cy + r + 1):
            if (cx - x) ** 2 + (cy - y) ** 2 < r ** 2:
                im.putpixel((x, y), pixel)


circle(im, 100, 100, 70, (255, 0, 0))
circle(im, 120, 120, 50, (0, 255, 0))


def invert_circle(im, cx, cy, r):
    for x in range(cx - r, cx + r + 1):
        for y in range(cy - r, cy + r + 1):
            if (cx - x) ** 2 + (cy - y) ** 2 < r ** 2:
                pr, pg, pb = im.getpixel((x, y))
                im.putpixel((x, y), (255 - pr, 255 - pg, 255 - pb))


invert_circle(im, 150, 150, 100)


im.show()

# im.save("image.png")
